Bug 318931 - Needs to install glibc-devel
Needs to install glibc-devel
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: rpmdevtools (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-04 14:23 EDT by Dan Williams
Modified: 2008-05-29 17:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-29 17:59:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Williams 2007-10-04 14:23:42 EDT
When glibc-devel isn't installed, errors about missing crt1.o happen during runs
of configure scripts.  The general error that configure complains about is "C
compiler cannot create executables".  config.log lists the real error about
missing crt1.o.

You'll see this if you install from a livecd image, then install rpmdevtools,
and you still can't build stuff.
Comment 1 Ville Skyttä 2007-10-04 15:48:40 EDT
Hm, rpmdevtools requires (among other things) gcc, and gcc requires glibc-devel,
so I'm not sure how glibc-devel wouldn't be installed.  Ideas?

$ repoquery --repoid=development --requires rpmdevtools | grep gcc
gcc
gcc-c++

$ repoquery --repoid=development --requires gcc | grep glibc
glibc-devel >= 2.2.90-12
Comment 2 Bug Zapper 2008-04-04 10:00:05 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Kyle VanderBeek 2008-05-29 17:59:10 EDT
I think this should be closed WORKSFORME.  I'm on F8 and the dependencies force
the gcc and glibc-devel to be installed correctly.

Note You need to log in before you can comment on or make changes to this bug.